/* Copyright (C) 2015 DJ Delorie, see COPYING.DJ for details */
/* Copyright (C) 2009 DJ Delorie, see COPYING.DJ for details */
#include <stdlib.h>
#include "_libsupp.h"

int
libsupp_mblen(const char *s, size_t n)
{
  return (s == NULL || *s == '\0') ? 0 : (n < 1) ? -1 : 1;
}
